// priority: 0

ServerEvents.recipes(event => {
    event.remove({ type: 'minecraft:crafting_shaped', output: 'immersiveengineering:component_steel'})
    event.remove({ output: Item.of('immersiveengineering:blueprint', '{blueprint:"components"}')})

    event.replaceInput({ id: 'immersiveengineering:crafting/workbench'}, '#forge:ingots/iron', 'immersiveengineering:ingot_steel')

    event.shaped(Item.of('immersiveengineering:blueprint', '{blueprint:"components"}'), [
        'CSI',
        'BBB',
        'PPP'
    ], {
        C: '#forge:ingots/copper',
        S: 'immersiveengineering:ingot_steel',
        I: '#forge:ingots/iron',
        B: 'minecraft:blue_dye',
        P: 'minecraft:paper'
    })
})